%define base_name	kde-theme
%define theme_name	alloy
%define name		%{base_name}-%{theme_name}
%define version		0.5.3
%define release		%mkrel 5
%define summary		Alloy kstyle and kwin theme for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{theme_name}-%{version}.tar.bz2
URL:			http://kde-look.org/content/show.php?content=10605
BuildRequires:		kdebase-devel

BuildRoot:		%{_tmppath}/%{name}-buildroot
Provides:		kdemoreartwork-%{theme_name}
Obsoletes:		kdemoreartwork-%{theme_name}

%description
A neat KDE 3.x style and KWin decoration based on the Java Alloy
Look&Feel from Incors (http://www.incors.com). 
 

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{theme_name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure  --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --disable-debug --disable-rpath --enable-final --disable-warnings \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})"
%endif

%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/kde3/plugins/styles/%{theme_name}.*
%{_libdir}/kde3/kwin_%{theme_name}_config.*
%{_libdir}/kde3/kwin3_%{theme_name}.*
%{_datadir}/apps/kstyle/themes/%{theme_name}.themerc
%{_datadir}/apps/kdisplay/color-schemes/%{theme_name}.kcsrc
%{_datadir}/apps/kwin/%{theme_name}.desktop




%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.5.3-5mdv2008.1
+ Revision: 140853
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import kde-theme-alloy


* Fri Jul 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.3-5mdv2007.0
- Rebuild

* Wed Dec 28 2005 Anssi Hannula <anssi@mandriva.org> 0.5.3-4mdk
- fix x86_64 build

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.3-3mdk
- Remove redundant Buildrequires

* Tue Sep 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.3-2mdk
- Remove redundant BuildRequires
	- kdebase-devel => kdelibs-devel => qt3-devel 
- mkrel

* Tue Jan 25 2005 Laurent Culioli <laurent@mandrake.org> 0.5.3-1mdk
- new version

* Thu Jun 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.1-2mdk
- Rebuild

* Fri Apr 16 2004 Laurent Culioli <laurent@mandrake.org> 0.5.1-1mdk
- 0.5.1
- new naming scheme

* Wed Aug 27 2003 Laurent Culioli <laurent@pschit.net> 0.4.1a-1mdk
- initial release

